#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    long long x;
    long long n;
    cin>>n>>x;
    long long a[n];
    for(int i=0;i<n;i++) cin>>a[i];
    long long t;
    sort(a,a+n);
    if(a[n-1]<=x) t=x-a[0];
    else if(a[0]>=x) t=a[n-1]-x;
    else t=((x-a[0]>a[n-1]-x)?a[n-1]-x:x-a[0])+a[n-1]-a[0];
    cout<<t;
    return 0;
}